Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
31.160.0.0
Broadcast address
31.191.255.255
First usable
31.160.0.1
Last usable
31.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FA00000 · Integer 530579456 to 532676607
Reverse DNS zones
160.31.in-addr.arpa
161.31.in-addr.arpa
162.31.in-addr.arpa
163.31.in-addr.arpa
164.31.in-addr.arpa
165.31.in-addr.arpa
166.31.in-addr.arpa
167.31.in-addr.arpa
168.31.in-addr.arpa
169.31.in-addr.arpa
170.31.in-addr.arpa
171.31.in-addr.arpa
172.31.in-addr.arpa
173.31.in-addr.arpa
174.31.in-addr.arpa
175.31.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.10100000.00000000.0000000031.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011111.10100000.00000000.0000000031.160.0.0
Broadcast00011111.10111111.11111111.1111111131.191.255.255
Split into smaller subnets/20

31.160.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.160.0.0/2031.160.0.1 to 31.160.15.25431.160.15.2554,094
231.160.16.0/2031.160.16.1 to 31.160.31.25431.160.31.2554,094
331.160.32.0/2031.160.32.1 to 31.160.47.25431.160.47.2554,094
431.160.48.0/2031.160.48.1 to 31.160.63.25431.160.63.2554,094
531.160.64.0/2031.160.64.1 to 31.160.79.25431.160.79.2554,094
631.160.80.0/2031.160.80.1 to 31.160.95.25431.160.95.2554,094
731.160.96.0/2031.160.96.1 to 31.160.111.25431.160.111.2554,094
831.160.112.0/2031.160.112.1 to 31.160.127.25431.160.127.2554,094
931.160.128.0/2031.160.128.1 to 31.160.143.25431.160.143.2554,094
1031.160.144.0/2031.160.144.1 to 31.160.159.25431.160.159.2554,094
1131.160.160.0/2031.160.160.1 to 31.160.175.25431.160.175.2554,094
1231.160.176.0/2031.160.176.1 to 31.160.191.25431.160.191.2554,094
1331.160.192.0/2031.160.192.1 to 31.160.207.25431.160.207.2554,094
1431.160.208.0/2031.160.208.1 to 31.160.223.25431.160.223.2554,094
1531.160.224.0/2031.160.224.1 to 31.160.239.25431.160.239.2554,094
1631.160.240.0/2031.160.240.1 to 31.160.255.25431.160.255.2554,094
1731.161.0.0/2031.161.0.1 to 31.161.15.25431.161.15.2554,094
1831.161.16.0/2031.161.16.1 to 31.161.31.25431.161.31.2554,094
1931.161.32.0/2031.161.32.1 to 31.161.47.25431.161.47.2554,094
2031.161.48.0/2031.161.48.1 to 31.161.63.25431.161.63.2554,094
2131.161.64.0/2031.161.64.1 to 31.161.79.25431.161.79.2554,094
2231.161.80.0/2031.161.80.1 to 31.161.95.25431.161.95.2554,094
2331.161.96.0/2031.161.96.1 to 31.161.111.25431.161.111.2554,094
2431.161.112.0/2031.161.112.1 to 31.161.127.25431.161.127.2554,094
2531.161.128.0/2031.161.128.1 to 31.161.143.25431.161.143.2554,094
2631.161.144.0/2031.161.144.1 to 31.161.159.25431.161.159.2554,094
2731.161.160.0/2031.161.160.1 to 31.161.175.25431.161.175.2554,094
2831.161.176.0/2031.161.176.1 to 31.161.191.25431.161.191.2554,094
2931.161.192.0/2031.161.192.1 to 31.161.207.25431.161.207.2554,094
3031.161.208.0/2031.161.208.1 to 31.161.223.25431.161.223.2554,094
3131.161.224.0/2031.161.224.1 to 31.161.239.25431.161.239.2554,094
3231.161.240.0/2031.161.240.1 to 31.161.255.25431.161.255.2554,094
3331.162.0.0/2031.162.0.1 to 31.162.15.25431.162.15.2554,094
3431.162.16.0/2031.162.16.1 to 31.162.31.25431.162.31.2554,094
3531.162.32.0/2031.162.32.1 to 31.162.47.25431.162.47.2554,094
3631.162.48.0/2031.162.48.1 to 31.162.63.25431.162.63.2554,094
3731.162.64.0/2031.162.64.1 to 31.162.79.25431.162.79.2554,094
3831.162.80.0/2031.162.80.1 to 31.162.95.25431.162.95.2554,094
3931.162.96.0/2031.162.96.1 to 31.162.111.25431.162.111.2554,094
4031.162.112.0/2031.162.112.1 to 31.162.127.25431.162.127.2554,094
4131.162.128.0/2031.162.128.1 to 31.162.143.25431.162.143.2554,094
4231.162.144.0/2031.162.144.1 to 31.162.159.25431.162.159.2554,094
4331.162.160.0/2031.162.160.1 to 31.162.175.25431.162.175.2554,094
4431.162.176.0/2031.162.176.1 to 31.162.191.25431.162.191.2554,094
4531.162.192.0/2031.162.192.1 to 31.162.207.25431.162.207.2554,094
4631.162.208.0/2031.162.208.1 to 31.162.223.25431.162.223.2554,094
4731.162.224.0/2031.162.224.1 to 31.162.239.25431.162.239.2554,094
4831.162.240.0/2031.162.240.1 to 31.162.255.25431.162.255.2554,094
4931.163.0.0/2031.163.0.1 to 31.163.15.25431.163.15.2554,094
5031.163.16.0/2031.163.16.1 to 31.163.31.25431.163.31.2554,094
5131.163.32.0/2031.163.32.1 to 31.163.47.25431.163.47.2554,094
5231.163.48.0/2031.163.48.1 to 31.163.63.25431.163.63.2554,094
5331.163.64.0/2031.163.64.1 to 31.163.79.25431.163.79.2554,094
5431.163.80.0/2031.163.80.1 to 31.163.95.25431.163.95.2554,094
5531.163.96.0/2031.163.96.1 to 31.163.111.25431.163.111.2554,094
5631.163.112.0/2031.163.112.1 to 31.163.127.25431.163.127.2554,094
5731.163.128.0/2031.163.128.1 to 31.163.143.25431.163.143.2554,094
5831.163.144.0/2031.163.144.1 to 31.163.159.25431.163.159.2554,094
5931.163.160.0/2031.163.160.1 to 31.163.175.25431.163.175.2554,094
6031.163.176.0/2031.163.176.1 to 31.163.191.25431.163.191.2554,094
6131.163.192.0/2031.163.192.1 to 31.163.207.25431.163.207.2554,094
6231.163.208.0/2031.163.208.1 to 31.163.223.25431.163.223.2554,094
6331.163.224.0/2031.163.224.1 to 31.163.239.25431.163.239.2554,094
6431.163.240.0/2031.163.240.1 to 31.163.255.25431.163.255.2554,094
6531.164.0.0/2031.164.0.1 to 31.164.15.25431.164.15.2554,094
6631.164.16.0/2031.164.16.1 to 31.164.31.25431.164.31.2554,094
6731.164.32.0/2031.164.32.1 to 31.164.47.25431.164.47.2554,094
6831.164.48.0/2031.164.48.1 to 31.164.63.25431.164.63.2554,094
6931.164.64.0/2031.164.64.1 to 31.164.79.25431.164.79.2554,094
7031.164.80.0/2031.164.80.1 to 31.164.95.25431.164.95.2554,094
7131.164.96.0/2031.164.96.1 to 31.164.111.25431.164.111.2554,094
7231.164.112.0/2031.164.112.1 to 31.164.127.25431.164.127.2554,094
7331.164.128.0/2031.164.128.1 to 31.164.143.25431.164.143.2554,094
7431.164.144.0/2031.164.144.1 to 31.164.159.25431.164.159.2554,094
7531.164.160.0/2031.164.160.1 to 31.164.175.25431.164.175.2554,094
7631.164.176.0/2031.164.176.1 to 31.164.191.25431.164.191.2554,094
7731.164.192.0/2031.164.192.1 to 31.164.207.25431.164.207.2554,094
7831.164.208.0/2031.164.208.1 to 31.164.223.25431.164.223.2554,094
7931.164.224.0/2031.164.224.1 to 31.164.239.25431.164.239.2554,094
8031.164.240.0/2031.164.240.1 to 31.164.255.25431.164.255.2554,094
8131.165.0.0/2031.165.0.1 to 31.165.15.25431.165.15.2554,094
8231.165.16.0/2031.165.16.1 to 31.165.31.25431.165.31.2554,094
8331.165.32.0/2031.165.32.1 to 31.165.47.25431.165.47.2554,094
8431.165.48.0/2031.165.48.1 to 31.165.63.25431.165.63.2554,094
8531.165.64.0/2031.165.64.1 to 31.165.79.25431.165.79.2554,094
8631.165.80.0/2031.165.80.1 to 31.165.95.25431.165.95.2554,094
8731.165.96.0/2031.165.96.1 to 31.165.111.25431.165.111.2554,094
8831.165.112.0/2031.165.112.1 to 31.165.127.25431.165.127.2554,094
8931.165.128.0/2031.165.128.1 to 31.165.143.25431.165.143.2554,094
9031.165.144.0/2031.165.144.1 to 31.165.159.25431.165.159.2554,094
9131.165.160.0/2031.165.160.1 to 31.165.175.25431.165.175.2554,094
9231.165.176.0/2031.165.176.1 to 31.165.191.25431.165.191.2554,094
9331.165.192.0/2031.165.192.1 to 31.165.207.25431.165.207.2554,094
9431.165.208.0/2031.165.208.1 to 31.165.223.25431.165.223.2554,094
9531.165.224.0/2031.165.224.1 to 31.165.239.25431.165.239.2554,094
9631.165.240.0/2031.165.240.1 to 31.165.255.25431.165.255.2554,094
9731.166.0.0/2031.166.0.1 to 31.166.15.25431.166.15.2554,094
9831.166.16.0/2031.166.16.1 to 31.166.31.25431.166.31.2554,094
9931.166.32.0/2031.166.32.1 to 31.166.47.25431.166.47.2554,094
10031.166.48.0/2031.166.48.1 to 31.166.63.25431.166.63.2554,094
10131.166.64.0/2031.166.64.1 to 31.166.79.25431.166.79.2554,094
10231.166.80.0/2031.166.80.1 to 31.166.95.25431.166.95.2554,094
10331.166.96.0/2031.166.96.1 to 31.166.111.25431.166.111.2554,094
10431.166.112.0/2031.166.112.1 to 31.166.127.25431.166.127.2554,094
10531.166.128.0/2031.166.128.1 to 31.166.143.25431.166.143.2554,094
10631.166.144.0/2031.166.144.1 to 31.166.159.25431.166.159.2554,094
10731.166.160.0/2031.166.160.1 to 31.166.175.25431.166.175.2554,094
10831.166.176.0/2031.166.176.1 to 31.166.191.25431.166.191.2554,094
10931.166.192.0/2031.166.192.1 to 31.166.207.25431.166.207.2554,094
11031.166.208.0/2031.166.208.1 to 31.166.223.25431.166.223.2554,094
11131.166.224.0/2031.166.224.1 to 31.166.239.25431.166.239.2554,094
11231.166.240.0/2031.166.240.1 to 31.166.255.25431.166.255.2554,094
11331.167.0.0/2031.167.0.1 to 31.167.15.25431.167.15.2554,094
11431.167.16.0/2031.167.16.1 to 31.167.31.25431.167.31.2554,094
11531.167.32.0/2031.167.32.1 to 31.167.47.25431.167.47.2554,094
11631.167.48.0/2031.167.48.1 to 31.167.63.25431.167.63.2554,094
11731.167.64.0/2031.167.64.1 to 31.167.79.25431.167.79.2554,094
11831.167.80.0/2031.167.80.1 to 31.167.95.25431.167.95.2554,094
11931.167.96.0/2031.167.96.1 to 31.167.111.25431.167.111.2554,094
12031.167.112.0/2031.167.112.1 to 31.167.127.25431.167.127.2554,094
12131.167.128.0/2031.167.128.1 to 31.167.143.25431.167.143.2554,094
12231.167.144.0/2031.167.144.1 to 31.167.159.25431.167.159.2554,094
12331.167.160.0/2031.167.160.1 to 31.167.175.25431.167.175.2554,094
12431.167.176.0/2031.167.176.1 to 31.167.191.25431.167.191.2554,094
12531.167.192.0/2031.167.192.1 to 31.167.207.25431.167.207.2554,094
12631.167.208.0/2031.167.208.1 to 31.167.223.25431.167.223.2554,094
12731.167.224.0/2031.167.224.1 to 31.167.239.25431.167.239.2554,094
12831.167.240.0/2031.167.240.1 to 31.167.255.25431.167.255.2554,094
12931.168.0.0/2031.168.0.1 to 31.168.15.25431.168.15.2554,094
13031.168.16.0/2031.168.16.1 to 31.168.31.25431.168.31.2554,094
13131.168.32.0/2031.168.32.1 to 31.168.47.25431.168.47.2554,094
13231.168.48.0/2031.168.48.1 to 31.168.63.25431.168.63.2554,094
13331.168.64.0/2031.168.64.1 to 31.168.79.25431.168.79.2554,094
13431.168.80.0/2031.168.80.1 to 31.168.95.25431.168.95.2554,094
13531.168.96.0/2031.168.96.1 to 31.168.111.25431.168.111.2554,094
13631.168.112.0/2031.168.112.1 to 31.168.127.25431.168.127.2554,094
13731.168.128.0/2031.168.128.1 to 31.168.143.25431.168.143.2554,094
13831.168.144.0/2031.168.144.1 to 31.168.159.25431.168.159.2554,094
13931.168.160.0/2031.168.160.1 to 31.168.175.25431.168.175.2554,094
14031.168.176.0/2031.168.176.1 to 31.168.191.25431.168.191.2554,094
14131.168.192.0/2031.168.192.1 to 31.168.207.25431.168.207.2554,094
14231.168.208.0/2031.168.208.1 to 31.168.223.25431.168.223.2554,094
14331.168.224.0/2031.168.224.1 to 31.168.239.25431.168.239.2554,094
14431.168.240.0/2031.168.240.1 to 31.168.255.25431.168.255.2554,094
14531.169.0.0/2031.169.0.1 to 31.169.15.25431.169.15.2554,094
14631.169.16.0/2031.169.16.1 to 31.169.31.25431.169.31.2554,094
14731.169.32.0/2031.169.32.1 to 31.169.47.25431.169.47.2554,094
14831.169.48.0/2031.169.48.1 to 31.169.63.25431.169.63.2554,094
14931.169.64.0/2031.169.64.1 to 31.169.79.25431.169.79.2554,094
15031.169.80.0/2031.169.80.1 to 31.169.95.25431.169.95.2554,094
15131.169.96.0/2031.169.96.1 to 31.169.111.25431.169.111.2554,094
15231.169.112.0/2031.169.112.1 to 31.169.127.25431.169.127.2554,094
15331.169.128.0/2031.169.128.1 to 31.169.143.25431.169.143.2554,094
15431.169.144.0/2031.169.144.1 to 31.169.159.25431.169.159.2554,094
15531.169.160.0/2031.169.160.1 to 31.169.175.25431.169.175.2554,094
15631.169.176.0/2031.169.176.1 to 31.169.191.25431.169.191.2554,094
15731.169.192.0/2031.169.192.1 to 31.169.207.25431.169.207.2554,094
15831.169.208.0/2031.169.208.1 to 31.169.223.25431.169.223.2554,094
15931.169.224.0/2031.169.224.1 to 31.169.239.25431.169.239.2554,094
16031.169.240.0/2031.169.240.1 to 31.169.255.25431.169.255.2554,094
16131.170.0.0/2031.170.0.1 to 31.170.15.25431.170.15.2554,094
16231.170.16.0/2031.170.16.1 to 31.170.31.25431.170.31.2554,094
16331.170.32.0/2031.170.32.1 to 31.170.47.25431.170.47.2554,094
16431.170.48.0/2031.170.48.1 to 31.170.63.25431.170.63.2554,094
16531.170.64.0/2031.170.64.1 to 31.170.79.25431.170.79.2554,094
16631.170.80.0/2031.170.80.1 to 31.170.95.25431.170.95.2554,094
16731.170.96.0/2031.170.96.1 to 31.170.111.25431.170.111.2554,094
16831.170.112.0/2031.170.112.1 to 31.170.127.25431.170.127.2554,094
16931.170.128.0/2031.170.128.1 to 31.170.143.25431.170.143.2554,094
17031.170.144.0/2031.170.144.1 to 31.170.159.25431.170.159.2554,094
17131.170.160.0/2031.170.160.1 to 31.170.175.25431.170.175.2554,094
17231.170.176.0/2031.170.176.1 to 31.170.191.25431.170.191.2554,094
17331.170.192.0/2031.170.192.1 to 31.170.207.25431.170.207.2554,094
17431.170.208.0/2031.170.208.1 to 31.170.223.25431.170.223.2554,094
17531.170.224.0/2031.170.224.1 to 31.170.239.25431.170.239.2554,094
17631.170.240.0/2031.170.240.1 to 31.170.255.25431.170.255.2554,094
17731.171.0.0/2031.171.0.1 to 31.171.15.25431.171.15.2554,094
17831.171.16.0/2031.171.16.1 to 31.171.31.25431.171.31.2554,094
17931.171.32.0/2031.171.32.1 to 31.171.47.25431.171.47.2554,094
18031.171.48.0/2031.171.48.1 to 31.171.63.25431.171.63.2554,094
18131.171.64.0/2031.171.64.1 to 31.171.79.25431.171.79.2554,094
18231.171.80.0/2031.171.80.1 to 31.171.95.25431.171.95.2554,094
18331.171.96.0/2031.171.96.1 to 31.171.111.25431.171.111.2554,094
18431.171.112.0/2031.171.112.1 to 31.171.127.25431.171.127.2554,094
18531.171.128.0/2031.171.128.1 to 31.171.143.25431.171.143.2554,094
18631.171.144.0/2031.171.144.1 to 31.171.159.25431.171.159.2554,094
18731.171.160.0/2031.171.160.1 to 31.171.175.25431.171.175.2554,094
18831.171.176.0/2031.171.176.1 to 31.171.191.25431.171.191.2554,094
18931.171.192.0/2031.171.192.1 to 31.171.207.25431.171.207.2554,094
19031.171.208.0/2031.171.208.1 to 31.171.223.25431.171.223.2554,094
19131.171.224.0/2031.171.224.1 to 31.171.239.25431.171.239.2554,094
19231.171.240.0/2031.171.240.1 to 31.171.255.25431.171.255.2554,094
19331.172.0.0/2031.172.0.1 to 31.172.15.25431.172.15.2554,094
19431.172.16.0/2031.172.16.1 to 31.172.31.25431.172.31.2554,094
19531.172.32.0/2031.172.32.1 to 31.172.47.25431.172.47.2554,094
19631.172.48.0/2031.172.48.1 to 31.172.63.25431.172.63.2554,094
19731.172.64.0/2031.172.64.1 to 31.172.79.25431.172.79.2554,094
19831.172.80.0/2031.172.80.1 to 31.172.95.25431.172.95.2554,094
19931.172.96.0/2031.172.96.1 to 31.172.111.25431.172.111.2554,094
20031.172.112.0/2031.172.112.1 to 31.172.127.25431.172.127.2554,094
20131.172.128.0/2031.172.128.1 to 31.172.143.25431.172.143.2554,094
20231.172.144.0/2031.172.144.1 to 31.172.159.25431.172.159.2554,094
20331.172.160.0/2031.172.160.1 to 31.172.175.25431.172.175.2554,094
20431.172.176.0/2031.172.176.1 to 31.172.191.25431.172.191.2554,094
20531.172.192.0/2031.172.192.1 to 31.172.207.25431.172.207.2554,094
20631.172.208.0/2031.172.208.1 to 31.172.223.25431.172.223.2554,094
20731.172.224.0/2031.172.224.1 to 31.172.239.25431.172.239.2554,094
20831.172.240.0/2031.172.240.1 to 31.172.255.25431.172.255.2554,094
20931.173.0.0/2031.173.0.1 to 31.173.15.25431.173.15.2554,094
21031.173.16.0/2031.173.16.1 to 31.173.31.25431.173.31.2554,094
21131.173.32.0/2031.173.32.1 to 31.173.47.25431.173.47.2554,094
21231.173.48.0/2031.173.48.1 to 31.173.63.25431.173.63.2554,094
21331.173.64.0/2031.173.64.1 to 31.173.79.25431.173.79.2554,094
21431.173.80.0/2031.173.80.1 to 31.173.95.25431.173.95.2554,094
21531.173.96.0/2031.173.96.1 to 31.173.111.25431.173.111.2554,094
21631.173.112.0/2031.173.112.1 to 31.173.127.25431.173.127.2554,094
21731.173.128.0/2031.173.128.1 to 31.173.143.25431.173.143.2554,094
21831.173.144.0/2031.173.144.1 to 31.173.159.25431.173.159.2554,094
21931.173.160.0/2031.173.160.1 to 31.173.175.25431.173.175.2554,094
22031.173.176.0/2031.173.176.1 to 31.173.191.25431.173.191.2554,094
22131.173.192.0/2031.173.192.1 to 31.173.207.25431.173.207.2554,094
22231.173.208.0/2031.173.208.1 to 31.173.223.25431.173.223.2554,094
22331.173.224.0/2031.173.224.1 to 31.173.239.25431.173.239.2554,094
22431.173.240.0/2031.173.240.1 to 31.173.255.25431.173.255.2554,094
22531.174.0.0/2031.174.0.1 to 31.174.15.25431.174.15.2554,094
22631.174.16.0/2031.174.16.1 to 31.174.31.25431.174.31.2554,094
22731.174.32.0/2031.174.32.1 to 31.174.47.25431.174.47.2554,094
22831.174.48.0/2031.174.48.1 to 31.174.63.25431.174.63.2554,094
22931.174.64.0/2031.174.64.1 to 31.174.79.25431.174.79.2554,094
23031.174.80.0/2031.174.80.1 to 31.174.95.25431.174.95.2554,094
23131.174.96.0/2031.174.96.1 to 31.174.111.25431.174.111.2554,094
23231.174.112.0/2031.174.112.1 to 31.174.127.25431.174.127.2554,094
23331.174.128.0/2031.174.128.1 to 31.174.143.25431.174.143.2554,094
23431.174.144.0/2031.174.144.1 to 31.174.159.25431.174.159.2554,094
23531.174.160.0/2031.174.160.1 to 31.174.175.25431.174.175.2554,094
23631.174.176.0/2031.174.176.1 to 31.174.191.25431.174.191.2554,094
23731.174.192.0/2031.174.192.1 to 31.174.207.25431.174.207.2554,094
23831.174.208.0/2031.174.208.1 to 31.174.223.25431.174.223.2554,094
23931.174.224.0/2031.174.224.1 to 31.174.239.25431.174.239.2554,094
24031.174.240.0/2031.174.240.1 to 31.174.255.25431.174.255.2554,094
24131.175.0.0/2031.175.0.1 to 31.175.15.25431.175.15.2554,094
24231.175.16.0/2031.175.16.1 to 31.175.31.25431.175.31.2554,094
24331.175.32.0/2031.175.32.1 to 31.175.47.25431.175.47.2554,094
24431.175.48.0/2031.175.48.1 to 31.175.63.25431.175.63.2554,094
24531.175.64.0/2031.175.64.1 to 31.175.79.25431.175.79.2554,094
24631.175.80.0/2031.175.80.1 to 31.175.95.25431.175.95.2554,094
24731.175.96.0/2031.175.96.1 to 31.175.111.25431.175.111.2554,094
24831.175.112.0/2031.175.112.1 to 31.175.127.25431.175.127.2554,094
24931.175.128.0/2031.175.128.1 to 31.175.143.25431.175.143.2554,094
25031.175.144.0/2031.175.144.1 to 31.175.159.25431.175.159.2554,094
25131.175.160.0/2031.175.160.1 to 31.175.175.25431.175.175.2554,094
25231.175.176.0/2031.175.176.1 to 31.175.191.25431.175.191.2554,094
25331.175.192.0/2031.175.192.1 to 31.175.207.25431.175.207.2554,094
25431.175.208.0/2031.175.208.1 to 31.175.223.25431.175.223.2554,094
25531.175.224.0/2031.175.224.1 to 31.175.239.25431.175.239.2554,094
25631.175.240.0/2031.175.240.1 to 31.175.255.25431.175.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses